/*
    Copyright (C) 2012 NewestTools.com(AlexLe)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef _GSERVER_MSGS_H_
#define _GSERVER_MSGS_H_

#define GSM_BASE 0x1000

#define GSM_CFH_BEGIN (GSM_BASE)
#define GSM_CFH_BEGIN_IN_CPARAMS (2) //u32Message, u32DropHandle
#define GSM_CFH_BEGIN_OUT_CPARAMS (2) //u32ErrorCode, u32Handle

#define GSM_CFH_END (GSM_BASE +1)
#define GSM_CFH_END_IN_CPARAMS (2) //u32Message, u32Handle
#define GSM_CFH_END_OUT_CPARAMS (1) //u32ErrorCode

#define GSM_CFH_GET_BUILDING_LIST_STATUS (GSM_BASE +2)
#define GSM_CFH_GET_BUILDING_LIST_STATUS_IN_CPARAMS (2) //u32Message, u32Handle
#define GSM_CFH_GET_BUILDING_LIST_STATUS_OUT_CPARAMS (2) //u32ErrorCode, PCOPY_FILES_BUILDING_LIST_STATUS

#define GSM_CFH_GETCURRENTFILENAME (GSM_BASE +3)
#define GSM_CFH_GETCURRENTFILENAME_IN_CPARAMS (2)//u32Message, u32Handle
#define GSM_CFH_GETCURRENTFILENAME_OUT_CPARAMS (2)//u32ErrorCode, PCOPY_FILES_GET_CURRENT_FILENAME


#define GSM_CFH_GETCURRENTSTREAM (GSM_BASE +4)
#define GSM_CFH_GETCURRENTSTREAM_IN_CPARAMS (3)  //u32Message, u32Handle u32BufferSize 
#define GSM_CFH_GETCURRENTSTREAM_OUT_CPARAMS (3) //u32ErrorCode, ptrBuffer, u64Offset

#define GSM_CFH_MOVETONEXTITEM (GSM_BASE +5)
#define GSM_CFH_MOVETONEXTITEM_IN_CPARAMS (3) //u32Message, u32Handle, u64ItemId
#define GSM_CFH_MOVETONEXTITEM_OUT_CPARAMS (1)//u32ErrorCode

#define GSM_DROP_FILES (GSM_BASE +6)
#define GSM_DROP_FILES_IN_CPARAMS (2)  //u32Message, u32DropHandle
#define GSM_DROP_FILES_OUT_CPARAMS (1) //u32ErrorCode 
 


#endif //_GSERVER_MSGS_H_
