/*
    Copyright (C) 2012 NewestTools.com(AlexLe)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef _SHARED_MEM_H_
#define _SHARED_MEM_H_

#include <windows.h>

class CSharedMem
{

public:

    CSharedMem();
    ~CSharedMem();

	//zero memory on init (for non exist section)

    PVOID
    Create(
        LPCSTR lpszName,
        ULONG MemSize,
		PBOOL pExist OPTIONAL
        );

	VOID
	Close();

	PVOID
	GetMapBase(){ return m_pBase; };

private:

	HANDLE m_hFileMap;
	PVOID m_pBase;

}; //CSharedMem


#endif //_SHARED_MEM_H_

